Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface PackageNames

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface PackageNames

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Package Names'.

The following features are supported:

- `Edit Commands Package Name`
- `Edit Helpers Package Name`
- `Edit Parts Package Name`
- `Edit Policies Package Name`
- `Preferences Package Name`
- `Providers Package Name`
- `Parsers Package Name`
- `Notation View Factories Package Name`

See Also:
  `GMFGenPackage.getPackageNames()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getEditCommandsPackageName()` Returns the value of the 'Edit Commands Package Name' attribute
`java.lang.String` `getEditHelpersPackageName()` Returns the value of the 'Edit Helpers Package Name' attribute
`java.lang.String` `getEditPartsPackageName()` Returns the value of the 'Edit Parts Package Name' attribute
`java.lang.String` `getEditPoliciesPackageName()` Returns the value of the 'Edit Policies Package Name' attribute
`java.lang.String` `getNotationViewFactoriesPackageName()` Returns the value of the 'Notation View Factories Package Name' attribute
`java.lang.String` `getParsersPackageName()` Returns the value of the 'Parsers Package Name' attribute
`java.lang.String` `getPreferencesPackageName()` Returns the value of the 'Preferences Package Name' attribute
`java.lang.String` `getProvidersPackageName()` Returns the value of the 'Providers Package Name' attribute
`void` `setEditCommandsPackageName(java.lang.String value)` Sets the value of the '`Edit Commands Package Name`' attribute
`void` `setEditHelpersPackageName(java.lang.String value)` Sets the value of the '`Edit Helpers Package Name`' attribute
`void` `setEditPartsPackageName(java.lang.String value)` Sets the value of the '`Edit Parts Package Name`' attribute
`void` `setEditPoliciesPackageName(java.lang.String value)` Sets the value of the '`Edit Policies Package Name`' attribute
`void` `setNotationViewFactoriesPackageName(java.lang.String value)` Sets the value of the '`Notation View Factories Package Name`' attribute
`void` `setParsersPackageName(java.lang.String value)` Sets the value of the '`Parsers Package Name`' attribute
`void` `setPreferencesPackageName(java.lang.String value)` Sets the value of the '`Preferences Package Name`' attribute
`void` `setProvidersPackageName(java.lang.String value)` Sets the value of the '`Providers Package Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditCommandsPackageName

    java.lang.String getEditCommandsPackageName()

  Returns the value of the 'Edit Commands Package Name' attribute.

  If the meaning of the 'Edit Commands Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Commands Package Name' attribute.
  See Also:
    `setEditCommandsPackageName(String)`, `GMFGenPackage.getPackageNames_EditCommandsPackageName()`
  ** Generated **
  Model:

### setEditCommandsPackageName

    void setEditCommandsPackageName(java.lang.String value)

  Sets the value of the '`Edit Commands Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Commands Package Name' attribute.
  See Also:
    `getEditCommandsPackageName()`
  ** Generated **

### getEditHelpersPackageName

    java.lang.String getEditHelpersPackageName()

  Returns the value of the 'Edit Helpers Package Name' attribute.

  If the meaning of the 'Edit Helpers Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Helpers Package Name' attribute.
  See Also:
    `setEditHelpersPackageName(String)`, `GMFGenPackage.getPackageNames_EditHelpersPackageName()`
  ** Generated **
  Model:

### setEditHelpersPackageName

    void setEditHelpersPackageName(java.lang.String value)

  Sets the value of the '`Edit Helpers Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Helpers Package Name' attribute.
  See Also:
    `getEditHelpersPackageName()`
  ** Generated **

### getEditPartsPackageName

    java.lang.String getEditPartsPackageName()

  Returns the value of the 'Edit Parts Package Name' attribute.

  If the meaning of the 'Edit Parts Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Parts Package Name' attribute.
  See Also:
    `setEditPartsPackageName(String)`, `GMFGenPackage.getPackageNames_EditPartsPackageName()`
  ** Generated **
  Model:

### setEditPartsPackageName

    void setEditPartsPackageName(java.lang.String value)

  Sets the value of the '`Edit Parts Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Parts Package Name' attribute.
  See Also:
    `getEditPartsPackageName()`
  ** Generated **

### getEditPoliciesPackageName

    java.lang.String getEditPoliciesPackageName()

  Returns the value of the 'Edit Policies Package Name' attribute.

  If the meaning of the 'Edit Policies Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Policies Package Name' attribute.
  See Also:
    `setEditPoliciesPackageName(String)`, `GMFGenPackage.getPackageNames_EditPoliciesPackageName()`
  ** Generated **
  Model:

### setEditPoliciesPackageName

    void setEditPoliciesPackageName(java.lang.String value)

  Sets the value of the '`Edit Policies Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Policies Package Name' attribute.
  See Also:
    `getEditPoliciesPackageName()`
  ** Generated **

### getPreferencesPackageName

    java.lang.String getPreferencesPackageName()

  Returns the value of the 'Preferences Package Name' attribute.

  If the meaning of the 'Preferences Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preferences Package Name' attribute.
  See Also:
    `setPreferencesPackageName(String)`, `GMFGenPackage.getPackageNames_PreferencesPackageName()`
  ** Generated **
  Model:

### setPreferencesPackageName

    void setPreferencesPackageName(java.lang.String value)

  Sets the value of the '`Preferences Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Preferences Package Name' attribute.
  See Also:
    `getPreferencesPackageName()`
  ** Generated **

### getProvidersPackageName

    java.lang.String getProvidersPackageName()

  Returns the value of the 'Providers Package Name' attribute.

  If the meaning of the 'Providers Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Providers Package Name' attribute.
  See Also:
    `setProvidersPackageName(String)`, `GMFGenPackage.getPackageNames_ProvidersPackageName()`
  ** Generated **
  Model:

### setProvidersPackageName

    void setProvidersPackageName(java.lang.String value)

  Sets the value of the '`Providers Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Providers Package Name' attribute.
  See Also:
    `getProvidersPackageName()`
  ** Generated **

### getParsersPackageName

    java.lang.String getParsersPackageName()

  Returns the value of the 'Parsers Package Name' attribute.

  If the meaning of the 'Parsers Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parsers Package Name' attribute.
  See Also:
    `setParsersPackageName(String)`, `GMFGenPackage.getPackageNames_ParsersPackageName()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2006/deprecated documentation='Replaced with GenParsers'"

### setParsersPackageName

    void setParsersPackageName(java.lang.String value)

  Sets the value of the '`Parsers Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Parsers Package Name' attribute.
  See Also:
    `getParsersPackageName()`
  ** Generated **

### getNotationViewFactoriesPackageName

    java.lang.String getNotationViewFactoriesPackageName()

  Returns the value of the 'Notation View Factories Package Name' attribute.

  If the meaning of the 'Notation View Factories Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Factories Package Name' attribute.
  See Also:
    `setNotationViewFactoriesPackageName(String)`, `GMFGenPackage.getPackageNames_NotationViewFactoriesPackageName()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2006/deprecated documentation='ViewFactories are no longer generated'"

### setNotationViewFactoriesPackageName

    void setNotationViewFactoriesPackageName(java.lang.String value)

  Sets the value of the '`Notation View Factories Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Factories Package Name' attribute.
  See Also:
    `getNotationViewFactoriesPackageName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.